NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Debugger does not work with PHP 5.0.3


Joined: 17 Dec 2004
Posts: 12
Location: Surrey, England
Reply with quote
I have just installed PHP version 5.0.3 with the latest php_dbg.dll-5.0.1, but it does not work with 5.0.3. I get the following error message when I start Apache:

PHP Startup: Unable to initialize module
Module compiled with module API=20040412, debug=0, thread-safety=1
PHP compiled with module API=20041030, debug=0, thread-safety=1
These options need to match

When will a compatible version be available?
View user's profileFind all posts by TonyMarstonSend private messageVisit poster's website


Joined: 20 Dec 2004
Posts: 1
Reply with quote
Agreed. I have tested PhpEd a couple times and found it to be pretty nice, but support in the form of updated debug modules is lacking.

PHP 5.0.3, under which all my new development is occuring, has been out for five days and there's been no official mention of an updated debug module. This was mainly a security and bugfix release, not a features release.

Now, I've compiled the open-source version of the debug module from scratch*. It seems to me that the closed-source version should be very similar. A simple recompile and release for those of us who know what we're doing and a well-packaged version can follow. If there's an API update that's going to take some time, at least say so. It keeps us from feeling like we're left in the dark.

I promise I'm not trying to be an ass or anything, but this isn't exactly what I like to see when I'm a potential customer.

[*] That makes for a good feature request as well. Make it so that DBG Listener can work with all closed- and open-source versions of the module instead of just the closed-source. That way, the next time you're lagging on the module release, we could at least go with the open version. We'd be missing some functionality, but wouldn't be dead in the water.
View user's profileFind all posts by ktreadwaySend private message
Site Admin

Joined: 13 Jul 2003
Posts: 8256
Reply with quote
Code:
[*] That makes for a good feature request as well. Make it so that DBG Listener can work with all closed- and open-source versions of the module instead of just the closed-source. That way, the next time you're lagging on the module release, we could at least go with the open version. We'd be missing some functionality, but wouldn't be dead in the water.

I'd love to but commercial (so called "closed") version went much further than open-source and uses some commands and protocol extensions not available in the free version. So from this point of view they are not fully compatible at the protocol level and therefore the same dbglistener can't work correctly with both.
Regarding updates, they will be available _after_ necessary testings are finished. It normally takes one-two weeks.
Thanks for your patience.
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Debugger does not work with PHP 5.0.3
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic